All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.security
Class RemotePasswordCallback

    com.sas.services.security.RemotePasswordCallback

All Implemented Interfaces:
  RemoteCallbackInterface, RemotePasswordCallbackInterface, java.io.Serializable, java.rmi.Remote, javax.security.auth.callback.Callback

    public class RemotePasswordCallback

implements RemotePasswordCallbackInterface

This is an instance of a PasswordCallback that's remoteable. This class can be used by clients, but typically, they will implement the javax.security.auth.callback.CallbackHandler interface and deal with the local versions of those callbacks, and use Challenger to convert to/from these remote versions.

Since:
  1.0
See Also:
  Serialized Form

Constructor Summary
`RemotePasswordCallback(java.lang.String prompt, boolean isEchoOn)` Creates a new instance with a prompt string.

Method Summary
`void` | `ClearPassword()` Clears the password.
`char[]` | `getPassword()` Gets the password.
`java.lang.String` | `getPrompt()` Gets the prompt.
`boolean` | `isEchoOn()` Determines whether or not echo is on.
`void` | `setPassword(char[] password)` Sets the password.

Constructor Detail

### RemotePasswordCallback

    public RemotePasswordCallback(java.lang.String prompt,
                                  boolean isEchoOn)
                           throws java.rmi.RemoteException

  Creates a new instance with a prompt string.

  The remote object will be exported to the RMI system using the specified socket factories.

  Parameters:
    `prompt` - The String to display when asking the user for their username.
    `isEchoOn` - A boolean to instruct the application to echo input or not.
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

Method Detail

### ClearPassword

    public void ClearPassword()

  Clears the password.

  Specified by:
    `ClearPassword` in interface `RemotePasswordCallbackInterface`

### getPassword

    public char[] getPassword()

  Gets the password.

  Specified by:
    `getPassword` in interface `RemotePasswordCallbackInterface`
  Returns:
    Password

### setPassword

    public void setPassword(char[] password)

  Sets the password.

  Specified by:
    `setPassword` in interface `RemotePasswordCallbackInterface`
  Parameters:
    `password` - Password

### getPrompt

    public java.lang.String getPrompt()

  Gets the prompt.

  Specified by:
    `getPrompt` in interface `RemotePasswordCallbackInterface`
  Returns:
    Callback's prompt.

### isEchoOn

    public boolean isEchoOn()

  Determines whether or not echo is on.

  Specified by:
    `isEchoOn` in interface `RemotePasswordCallbackInterface`
  Returns:
    `true` if echo is on.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.